aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDuncaen <mail@duncano.de>2015-07-02 09:40:06 +0200
committerDuncaen <mail@duncano.de>2015-07-02 09:40:06 +0200
commitdb8fb2229b7082ee509c98d58f49666491ff58df (patch)
treee4cb00ed97a75c0dccf9ebbb5e6009d070fd20b3
parent3694014ac8ce76023c06c69b562a7addf69aa355 (diff)
downloaddotfiles-db8fb2229b7082ee509c98d58f49666491ff58df.tar.gz
add bin/runix
-rwxr-xr-xbin/runx20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/runx b/bin/runx
new file mode 100755
index 0000000..a7e9f58
--- /dev/null
+++ b/bin/runx
@@ -0,0 +1,20 @@
+#!/bin/mksh
+
+# while $(~/bin/s -w 5 deps "x"); do
+# (( RETRY=$RETRY+1 ))
+# [ "$RETRY" -gt 3 ] && exit
+# done
+
+(
+ sleep 3;
+ xset +fp ~/.fonts/
+ xset +fp /usr/share/fonts/misc/
+ xset fp rehash
+ xset -b
+ xrandr --dpi 96
+ setxkbmap de
+ xset -q >> /tmp/xset
+ echo "--" >> /tmp/xset
+)&
+
+exec Xorg "$DISPLAY" -nolisten tcp -noreset -verbose 2 -auth "$XAUTHORITY"